Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.information
Class StaticInformationProviderImpl

    java.lang.Object
      org.jasig.portal.container.services.information.StaticInformationProviderImpl

All Implemented Interfaces:
  org.apache.pluto.services.information.StaticInformationProvider

    public class StaticInformationProviderImpl

extends java.lang.Object
implements org.apache.pluto.services.information.StaticInformationProvider

Implementation of Apache Pluto StaticInformationProvider. The current implementation gets its data by parsing the web applciation deployment descriptor (web.xml) and the portlet application deployment descriptor (portlet.xml) of all installed portlet contexts. Contexts which contain a valid portlet.xml file in the WEB-INF directory are considered portlet contexts.

Version:
  $Revision: 1.12.4.1 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`private static org.apache.pluto.services.information.PortalContextProvider` | `portalContextProvider`
`private static PortletApplicationDefinitionListImpl` | `portletApplicationDefinitionList`
`private java.util.Properties` | `properties`
`private javax.servlet.ServletConfig` | `servletConfig`

Constructor Summary
`StaticInformationProviderImpl()`

Method Summary
`org.apache.pluto.services.information.PortalContextProvider` | `getPortalContextProvider()`
`org.apache.pluto.om.portlet.PortletDefinition` | `getPortletDefinition(org.apache.pluto.om.common.ObjectID portletGUID)`
`void` | `init(javax.servlet.ServletConfig servletConfig, java.util.Properties properties)`
`private void` | `initPortletDefinitions()` Go through the webapps directory, look for all web.xml and portlet.xml files for portlet web applications.
`private java.lang.String` | `resolveUri(java.lang.String webModule)` Handles resolution of a web module's file system name to its URI identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### servletConfig

    private javax.servlet.ServletConfig servletConfig

### properties

    private java.util.Properties properties

### portletApplicationDefinitionList

    private static PortletApplicationDefinitionListImpl portletApplicationDefinitionList

### portalContextProvider

    private static org.apache.pluto.services.information.PortalContextProvider portalContextProvider

Constructor Detail

### StaticInformationProviderImpl

    public StaticInformationProviderImpl()

Method Detail

### getPortalContextProvider

    public org.apache.pluto.services.information.PortalContextProvider getPortalContextProvider()

  Specified by:
    `getPortalContextProvider` in interface `org.apache.pluto.services.information.StaticInformationProvider`

### getPortletDefinition

    public org.apache.pluto.om.portlet.PortletDefinition getPortletDefinition(org.apache.pluto.om.common.ObjectID portletGUID)

  Specified by:
    `getPortletDefinition` in interface `org.apache.pluto.services.information.StaticInformationProvider`

### init

    public void init(javax.servlet.ServletConfig servletConfig,
                     java.util.Properties properties)

### initPortletDefinitions

    private void initPortletDefinitions()

  Go through the webapps directory, look for all web.xml and portlet.xml files for portlet web applications. Then parse these files and create data structures representing the portlet application definitions and servlet definitions. This should occur just once as the portlet container starts up.

### resolveUri

    private java.lang.String resolveUri(java.lang.String webModule)

  Handles resolution of a web module's file system name to its URI identifier.

  Parameters:
    `webModule` - the file system name.
  Returns:
    the URI part.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD